$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.6.5/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.6.5/kubernetes-client-windows-amd64.tar.gz'
$checksum       = '6ddc9b300746eefdc5d71aae193dea171115dab9db00010d416728d3f2035f19'
$checksum64     = '95854266bf64b84b59d1e6a3ca0501cf3c85fbd0258cb540893d5771aca74ace'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
